Get Virtual Center

Get Virtual Center
Get Virtual Center server

Retrieve the representation of a vCenter server registered and managed by Provider Management.

Request
URI
GET
https://{api_host}/cloudapi/1.0.0/virtualCenters/{vcUrn}
COPY
Path Parameters
string
vcUrn
Required

vcUrn


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns VCenterServer of type(s) application/json;version=9.1.0
{
    "vcId": "urn:vcloud:vimserver:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "name": "vCenter Sample Name",
    "description": "vCenter Sample Description",
    "username": "string",
    "password": "string",
    "url": "https://sampleVc.vmware.com",
    "isEnabled": false,
    "vsphereWebClientServerUrl": "string",
    "hasProxy": false,
    "rootFolder": "string",
    "vcNoneNetwork": "string",
    "vcNoneNetworkMoref": "string",
    "tenantVisibleName": "string",
    "isConnected": false,
    "mode": "string",
    "listenerState": "string",
    "clusterHealthStatus": "string",
    "vcVersion": "6.7.0",
    "buildNumber": "12345",
    "uuid": "string",
    "nsxVManager": {
        "username": "string",
        "password": "string",
        "url": "https://sampleVsm.vmware.com",
        "softwareVersion": "string"
    },
    "proxyConfigurationUrn": "string",
    "isDedicatedForClassicTenants": false,
    "licenseStatus": "string",
    "sddcManager": {
        "name": "string",
        "id": "string"
    }
}

400

Invalid configuration.

Returns Error of type(s) application/json;version=9.1.0
{
    "minorErrorCode": "string",
    "message": "string",
    "stackTrace": "string"
}

404

The specified resource was not found

Returns Error of type(s) application/json;version=9.1.0
{
    "minorErrorCode": "string",
    "message": "string",
    "stackTrace": "string"
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/virtualCenters/{vcUrn}